pjf

[1.2.2] Realistic Progression Zero (RP-0) - Lightweight RealismOverhaul career v0.53 June 12

2464 posts in this topic

Hi to everyone. I have read a couple of last pages, and if i am understand correctly rp0 is currently playable with last RO 1.2 test release. My english is not so good, so i just wanted to clarify this. So simple question: can i play rp0 with prerelease RO version right now, without facing some game breaking troubles? Or should i just get all 1.1.3 versions and don't ask stupid questions? :D

To be honest, last time when i was playing RO-RP0 on 1.1.3 couple of months ago i was very happy with everything, good performance and stability, very few crashes, and i am sure at 90% that 1.1.3 is my choice right now, but since there is a new RO version i must ask before starting long install and cleanup process.

Also i see some new faces that working on these amazing mods, so must say big thank to all of you, and of course big thanks to all of "veterans".

1 person likes this

Share this post


Link to post
Share on other sites
1 hour ago, vgamble said:

Hi to everyone. I have read a couple of last pages, and if i am understand correctly rp0 is currently playable with last RO 1.2 test release. My english is not so good, so i just wanted to clarify this. So simple question: can i play rp0 with prerelease RO version right now, without facing some game breaking troubles? Or should i just get all 1.1.3 versions and don't ask stupid questions? :D

To be honest, last time when i was playing RO-RP0 on 1.1.3 couple of months ago i was very happy with everything, good performance and stability, very few crashes, and i am sure at 90% that 1.1.3 is my choice right now, but since there is a new RO version i must ask before starting long install and cleanup process.

Also i see some new faces that working on these amazing mods, so must say big thank to all of you, and of course big thanks to all of "veterans".

RO for 1.2.2 is pre-released and people are testing it. Some mods for RP0 still waiting to be updated so full suit RP0 not available i think. 1.2.2 is good because stability. Testers says it doesnt crash. So my advice is waiting for full release of everything :cool:. And after you can have glorious RO/RP0 career:P

 

https://github.com/KSP-RO/RP-0/issues/610

2 people like this

Share this post


Link to post
Share on other sites
On 23/02/2017 at 7:44 AM, AlimOncul said:

RO for 1.2.2 is pre-released and people are testing it. Some mods for RP0 still waiting to be updated so full suit RP0 not available i think. 1.2.2 is good because stability. Testers says it doesnt crash. So my advice is waiting for full release of everything :cool:. And after you can have glorious RO/RP0 career:P

 

https://github.com/KSP-RO/RP-0/issues/610

I'm just hoping RO and RP-0 and necessary mods are relased for 1.2.2 before 1.2.9 comes out, otherwise it will be a pain, as some mods get updated, others don't, and it's not always that easy to find older versions of certain things.

Share this post


Link to post
Share on other sites
3 minutes ago, JeeF said:

I'm just hoping RO and RP-0 and necessary mods are relased for 1.2.2 before 1.2.9 comes out, otherwise it will be a pain, as some mods get updated, others don't, and it's not always that easy to find older versions of certain things.

I think its a minor update 1.2.x so if you do 10-work to update RO and RP0 1.1.3 to 1.2.2, it will be 2-3-work to update 1.2.2 to 1.2.9. IMO of course :D 

Share this post


Link to post
Share on other sites

Hopefully

1 person likes this

Share this post


Link to post
Share on other sites

Posted (edited)

I set up some configuration for KRASH with ballpark numbers intended to be more realistic, mostly based on typical personnel cost and electric power usage, assuming that a kerupee is about 1000-2000 USD. I ramped up all per-minute cost by a factor of 50, as you'll likely run a lot less sims-inside-a-sim than you would run sims-in-real-life. There are no per-ton costs, as bigger is not necessarily more complex to simulate, and part costs capture part complexity pretty well. Note that setup costs make up the bulk of costs, as preparing all the data and software pieces for a simulation is much more effort than actually running that simulation.

KRASHCustom
{
  RO
  {
    description = Somewhat realistic costs with compensation for reduced playtime
    flatSetupCost = 5
    flatPerMinCost = 0.05
    perPartSetupCost = 0.3
    perPartPerMinCost = 0.001
    perTonSetupCost = 0
    perTonPerMinCost = 0
    percentSetupCost = 9
    percentPerMinCost = 0.05
    AtmoMultipler = 1.3
    TerminateAtSoiWithoutData = True
    TerminateAtLandWithoutData = True
    TerminateAtAtmoWithoutData = True
    ContinueIfNoCash = False
  }
}

The results feel quite reasonable for my crafts with RP-0, but I there was no serious attempt at balancing yet.

Edited by cami
1 person likes this

Share this post


Link to post
Share on other sites

Hi,

 

I originally posted this in the RO thread but think it may be linked to RP-0 - I've installed into ksp 1.2.2 using the mod spreadsheet linked in the RO thread. Everything seems fine except none of the probes show an avionics tonnage limit in their info tab and do not seem to be bound by avionics limits. I'm not sure if anyone has experienced similar issues?

 

Thanks!

Share this post


Link to post
Share on other sites

Before I say anything I'd like to express my thanks to everyone who's worked on all the mods that make this such a great game, as a former programmer I know the kind of time and effort that goes into this stuff, and the frustrations with dealing with ungrateful end users.

Now I hope I've hopefully established my credentials as a grateful end user ;-) I'm hoping someone can come up with a simple explanation of the problems I'm facing. I've got RP-0 running under 1.1.3 and 1.2.2 but things aren't quite right in either of them.

In 1.2.2 the early engines don't seem to be present on the tech tree (e.g. the Aerobee), I've used the tree.cfg file posted by pap1723 above. Is this the issue of missing items on the tech tree that others have reported ? I've been using Ryan Caskey's RO debugging spreadsheet for mod info.

In 1.1.3 things seem fine, however when I go to the tracking station no earth launch sites are shown, odd. They appear fine under 1.2.2.

And a final question, I've been using CKAN to obtain mods where possible, is this OK for 1.1.3 ? I'm unsure of the behaviour of CKAN, are later mods backwardly compatible ? If not does CKAN obtain suitable earlier mods or should I seek them out by manually ?

 

 

Share this post


Link to post
Share on other sites
2 hours ago, DC said:

Before I say anything I'd like to express my thanks to everyone who's worked on all the mods that make this such a great game, as a former programmer I know the kind of time and effort that goes into this stuff, and the frustrations with dealing with ungrateful end users.

Now I hope I've hopefully established my credentials as a grateful end user ;-) I'm hoping someone can come up with a simple explanation of the problems I'm facing. I've got RP-0 running under 1.1.3 and 1.2.2 but things aren't quite right in either of them.

In 1.2.2 the early engines don't seem to be present on the tech tree (e.g. the Aerobee), I've used the tree.cfg file posted by pap1723 above. Is this the issue of missing items on the tech tree that others have reported ? I've been using Ryan Caskey's RO debugging spreadsheet for mod info.

In 1.1.3 things seem fine, however when I go to the tracking station no earth launch sites are shown, odd. They appear fine under 1.2.2.

And a final question, I've been using CKAN to obtain mods where possible, is this OK for 1.1.3 ? I'm unsure of the behaviour of CKAN, are later mods backwardly compatible ? If not does CKAN obtain suitable earlier mods or should I seek them out by manually ?

 

 

So rp0 works with 1.2.2 ?

Is it a dev release? Die I Miss it?

CKan doesn't show it.

Share this post


Link to post
Share on other sites
2 hours ago, Benji said:

So rp0 works with 1.2.2 ?

Is it a dev release? Die I Miss it?

CKan doesn't show it.

Mostly. Yes. No.

1 person likes this

Share this post


Link to post
Share on other sites
5 hours ago, DC said:

Before I say anything I'd like to express my thanks to everyone who's worked on all the mods that make this such a great game, as a former programmer I know the kind of time and effort that goes into this stuff, and the frustrations with dealing with ungrateful end users.

Now I hope I've hopefully established my credentials as a grateful end user ;-) I'm hoping someone can come up with a simple explanation of the problems I'm facing. I've got RP-0 running under 1.1.3 and 1.2.2 but things aren't quite right in either of them.

In 1.2.2 the early engines don't seem to be present on the tech tree (e.g. the Aerobee), I've used the tree.cfg file posted by pap1723 above. Is this the issue of missing items on the tech tree that others have reported ? I've been using Ryan Caskey's RO debugging spreadsheet for mod info.

In 1.1.3 things seem fine, however when I go to the tracking station no earth launch sites are shown, odd. They appear fine under 1.2.2.

And a final question, I've been using CKAN to obtain mods where possible, is this OK for 1.1.3 ? I'm unsure of the behaviour of CKAN, are later mods backwardly compatible ? If not does CKAN obtain suitable earlier mods or should I seek them out by manually ?

 

 

Hi @DC

The early engines you are missing are from the Taerobee mod (i think) as I have them installed and have both the Aerobee engines as well as the V2 engines. 

1 person likes this

Share this post


Link to post
Share on other sites
On ‎14‎/‎04‎/‎2017 at 5:53 PM, pap1723 said:

Hi @DC

The early engines you are missing are from the Taerobee mod (i think) as I have them installed and have both the Aerobee engines as well as the V2 engines. 

No that's not it. Got a clean install of 1.1.3 now and installed again on that and it seems OK now, so something a bit messed up with my previous install. Didn't install the Taerobee mod initially and the Aerobee is there.

Share this post


Link to post
Share on other sites

I'm having some problems with RP-0 for my 1.2.2 KSP. I've installed the mod from the master branch however all parts are showing non-rp0. Does anyone know how I can solve this. I've also raised the issue in Github and you can find the log file there too.

Share this post


Link to post
Share on other sites

Posted (edited)

26 minutes ago, MaxZhao said:

I'm having some problems with RP-0 for my 1.2.2 KSP. I've installed the mod from the master branch however all parts are showing non-rp0. Does anyone know how I can solve this. I've also raised the issue in Github and you can find the log file there too.

From the RO thread, this should help. 

On 4/14/2017 at 5:25 AM, Lilienthal said:

I believe you are right, avionics is a feature of RP0.

RP0, BTW, is also already working (not flawlessly but playable.) In case the use of perl stops you, here a Tree.cfg file to download.  https://pastebin.com/4zUXR7g9

(important: I am not 100% sure whether distributing this is in line with the licences. I believe so, but if not, please tell me, and I'll remove.)

 

Edited by jdub3350
1 person likes this

Share this post


Link to post
Share on other sites

so to get this straight:

i simply need to install the master branch of rp-0(marked as 1.1.3) for my 1.2.2 install, then replace the tree.cfg?

or am i missing out on a dev branch i just cannot find on github?

if it is that easy, i shall use my last day of vacation to get up a running install of RSS/RO/RP-0 for 1.2.2.

btw, i love you devs.

Share this post


Link to post
Share on other sites

I don't understand what this means(not very literate in computer language to be honest)

"# This tree is in YAML format.
#
#
# You can convert it into ModuleManager directives by running:
#
#       perl bin/yml2mm"

I found the following passage on the shared KSP RO Debugging Google Drive sheet:

"Many people spoke of items not showing up in the tech tree.
This is because you need to build the tree.cfg
Install Stawberry perl (or your favorite perl client), and run "perl bin/yml2mm"
before copying over the GameData directory"

I've installed Strawberry Perl but there is no file called yml2mm in the bin folder. I'm at a bit of a loss. I've downloaded the tree.cfg file of Lilienthal's a couple of posts above but the parts in the tree don't seem to have parts in the right place. I've clearly done something wrong so could anyone help me out please?

Share this post


Link to post
Share on other sites

Posted (edited)

@ClLaw When you extract RP-0 to your GameData folder it  should include the bin/yml2mm script.

  • Open a command prompt (on Windows open the start menu then type cmd and press return),
  • Change directory to the GameData/RP-0 folder (type cd "e:\Games\KSP\1.2.2 RP-0\Gamedata\RP-0" - changing the bit in red to match where you've installed your copy of KSP that you're installing RP-0 on - and press return)
  • Then type the "perl bin/yml2mm".

This should create a Tree.cfg file in the same folder.

 

Edit: I typed the above from memory but I got the location of the folders a bit wrong. I've now actually checked and here is the corrected version.

  • Download the master branch from GitHub (link)
  • Extract the zipped RP-0-master folder to a temp location (e.g. e:\Games\Temp\RP-0-master)
  • That folder will contain the tree.yml file, the bin folder with the script, the source files and output GameData folder.
  • Open a command prompt (on Windows open the start menu then type cmd and press enter)
  • In the command window change the folder to the unzipped temp folder (type cd "e:\Games\Temp\RP-0-master" and press enter - changing this to reflect the actual path you unzipped to - you may also need to switch to the correct drive first e.g. by entering e:)
  • Type perl bin\yml2mm and press enter to compile and replace the Tree.cfg file inside the temp GameData folder (e.g. e:\Games\Temp\RP-0-master\GameData\RP-0\tree.cfg)
  • You can now replace the RP-0 folder inside your KSP GameData folder with the version from the temp GameData folder to have an up-to-date version of the mod.

Sorry for any confusion my mistake may have caused anyone. 

 

Edited by Aelfhe1m
Correcting wrong info about file locations.
2 people like this

Share this post


Link to post
Share on other sites

Thank you very much :D

Share this post


Link to post
Share on other sites

Posted (edited)

Since RP-0 testing is now a thing, i will be providing a tech tree at regular intervals, as well as updating this post. Note: the tree is required for all the KSP 1.2.2 RO changes.

Latest build: 02/06/2017 - 05:58:14 UTC (Click the "Raw" button and right-click to save the page, it will prompt you to save it as "Tree.cfg").

Edit: link removed (RP-0 is now compatible with KSP 1.2.2 and has a proper release. Head to the official RP-0 GitHub repository to download the latest version).

Edited by Phineas Freak
Removed tech tree link
4 people like this

Share this post


Link to post
Share on other sites

Posted (edited)

On 5/12/2017 at 9:46 PM, Phineas Freak said:

Since RP-0 testing is now a thing, i will be providing a tech tree at regular intervals, as well as updating this post. Note: the tree is required for all the KSP 1.2.2 RO changes.

Latest build: 12/05/2017 - 20:26:56 UTC (Click the "Raw" button and right-click to save the page, it will prompt you to save it as "Tree.cfg").

 

Thanks @Phineas Freak 

I downloaded the "Tree.cfg" as you described above but it was saved as a text document called "Tree.cfg" rather than a CFG file , what may I have done wrong?

EDIT: Fixed it, I just opened one of the existing cfg files in RP-0 then selected "new file" copied the contents of the Tree.cfg file and that sorted it out.

Edited by Nathangun

Share this post


Link to post
Share on other sites

What file controls the max diameters/levels of the SSTU parts?  The main tank limits increase as expected, but the upper stage tanks and petal adapters are stuck at 2.5m no matter what I unlock.  

Share this post


Link to post
Share on other sites

I might be wrong, but some SSTU parts are not compatible with RP-0 & RO, the part in the VAB might say 'non RO' or 'non RP-0' in the info display section of that part. 

Share this post


Link to post
Share on other sites

Posted (edited)

22 hours ago, Nathangun said:

I might be wrong, but some SSTU parts are not compatible with RP-0 & RO, the part in the VAB might say 'non RO' or 'non RP-0' in the info display section of that part. 

All but a few of the engines, all of the tanks, and most of the procedural structural parts are costed and placed in the newest version.  

Edit- After poking around on GitHub (I'm slowly learning!) I see this is being transitioned to the PARTUPGRADE system.  Is there a test/experimental fork/branch (still learning the lingo) somewhere? 

Edit2- Found assassinacc's SSTU Upgrades branch, downloaded the four relevant files, works great! 

Edited by jdub3350
further research

Share this post


Link to post
Share on other sites

Started playing RP-0 for the first time yesterday, whenever I exit the VAB or any other building for that matter my funds keep rising in the display that the top of the screen,  has anyone come across this problem before?

 

Share this post


Link to post
Share on other sites
Guest
This topic is now closed to further replies.